%global pypi_name ansible-builder
%global commitId 13f24c3064fcf34905cbca33fc13957232bef435

Name:           %{pypi_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        An Ansible execution environment builder

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-builder
Source0:        ansible-builder-13f24c3064fcf34905cbca33fc13957232bef435.tar.gz
BuildArch:      noarch

Patch1:         image_path_override.patch

BuildRequires:  python38
BuildRequires:  python38-setuptools
BuildRequires:  python38-rpm-macros
BuildRequires:  python38-pbr

Requires:       python38-pyyaml
Requires:       python38-requirements-parser
Recommends:     podman

%description
An Ansible execution environment builder

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}
cat > PKG-INFO<<EOF
Metadata-Version: 1.0
Name: ansible-builder
Version: %{version}
Summary: "A tool for building Ansible Execution Environments"
Home-page: https://ansible-builder.readthedocs.io
Author: Ansible, Inc.
Author-email: info@ansible.com
License: UNKNOWN
Platform: UNKNOWN
EOF
cat PKG-INFO

%build
/usr/bin/python3.8 setup.py build

%install
/usr/bin/python3.8 setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root)
%{python3_sitelib}/*
%{_bindir}/ansible-builder

%changelog
* Fri Jul 02 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-1
- 1.0.1-1 build

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- 1.0.0-1 build
